using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics.Eventing.Reader;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TP08_GestEtudiants
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //Enlève le droit d'ajout automatique d'une ligne et rend invisible l'entête de ligne
            grdetu.AllowUserToAddRows = false;
            grdetu.RowHeadersVisible = false;
            //Création des 6 colonnes avec leur nom et leur largeur
            grdetu.ColumnCount = 6;
            grdetu.Columns[0].Name = "N°";
            grdetu.Columns[1].Name = "Nom";
            grdetu.Columns[2].Name = "Prénom";
            grdetu.Columns[3].Name = "Classe";
            grdetu.Columns[4].Name = "Boursier";
            grdetu.Columns[5].Name = "Régime";
            grdetu.Columns[0].Width = 50;
            grdetu.Columns[1].Width = 120;
            grdetu.Columns[2].Width = 120;
            grdetu.Columns[3].Width = 120;
            grdetu.Columns[4].Width = 90;
            grdetu.Columns[5].Width = 90;
            //Ajout des lignes avec les données
            grdetu.Rows.Clear();
            grdetu.Rows.Add("128", "MARREAU", "Alain", "SIO1", "OUI", "DP");
            grdetu.Rows.Add("129", "MEYRIEU", "Philippe", "SIO2", "NON", "INT");
            grdetu.Rows.Add("130", "PERINOT", "Lise", "CGO2", "OUI", "DP");
            grdetu.Rows.Add("135", "PIRIOU", "Aurore", "CGO2", "NON", "EXT");
            grdetu.Rows.Add("136", "PYRAT", "Luc", "SIO1", "NON", "DP");
            grdetu.Rows.Add("140", "RAMEAU", "Florence", "SIO1", "OUI", "DP");
            grdetu.Rows.Add("141", "RILLIARD", "Sylvain", "SIO2", "NON", "EXT");
            grdetu.Rows.Add("143", "ROUYER", "Alice", "CGO2", "OUI", "INT");
        }

        private void btntot_Click(object sender, EventArgs e)
        {
            lbltot.Text = Convert.ToString(grdetu.RowCount);
        }

        private void btnbou_Click(object sender, EventArgs e)
        {
            int nolig, nocol, effectif;
            effectif = 0;
            for (nolig = 0; nolig < grdetu.Rows.Count; nolig = nolig +1)
            {
                if (Convert.ToString(grdetu[4, nolig].Value) == "OUI")
                {
                    effectif = effectif + 1;
                    
                }
            }
            lblbou.Text = Convert.ToString(effectif);

        }

        private void btnint_Click(object sender, EventArgs e)
        {
            int nolig, nocol, effectif;
            effectif = 0;
            for (nolig = 0; nolig < grdetu.Rows.Count; nolig = nolig + 1)
            {
                if (Convert.ToString(grdetu[5, nolig].Value) == "INT")
                {
                    effectif = effectif + 1;

                }
            }
            lblint.Text = Convert.ToString(effectif);
        }

        private void btncla_Click(object sender, EventArgs e)
        {
            int nolig, nocol, effectif;
            effectif = 0;
            
            for (nolig = 0; nolig < grdetu.Rows.Count; nolig = nolig + 1)
            {
                if (Convert.ToString(grdetu[3, nolig].Value) == txtcla.Text)
                {

                    effectif = effectif + 1;
                }
               
            }
            lblcla.Text = Convert.ToString(effectif);
        }

    }
}
